command = self.MESSAGE['text'].split(" ", 2)
command_length = len(command)

if (command[0] in self.aliases) and (1 <= command_length <= 3):
    try:
        models = json.loads(readfile(self.path + "translate_models.json"))

        if command_length == 1:
            chosen_model = "cz-ua"
        else:
            chosen_model = command[1]

        if command_length == 3:
            text_to_decode = command[2]
        else:
            text_to_decode = self.MESSAGE['reply_to_message']['text']
    
        decoded_text = text_to_decode
        if chosen_model not in models:
            self.RESPONCE = f"Такого варіанту транслітерації не існує. Доступні варіанти: {', '.join(list(models.keys()))}"
        else:
            for i in models[chosen_model]:
                decoded_text = decoded_text.replace(i[0], i[1])
                decoded_text = decoded_text.replace(i[0].capitalize(), i[1].capitalize())
                decoded_text = decoded_text.replace(i[0].upper(), i[1].upper())
    
            self.RESPONCE = f"Результат: {decoded_text}"

    except Exception as e:
        print(f"[translit-decoder] Got exception: {e}")
